<?php
require_once __DIR__ . '/../../connect.php';
$driverID = filterRequest("driverID");

$sql = "SELECT
    COALESCE(dw.id, 0) AS id,
    COALESCE(dw.driverID, '0') AS driverID,
    COALESCE(dw.paymentID, '0') AS paymentID,
    COALESCE(dw.dateCreated, '1970-01-01 00:00:00') AS dateCreated,
    COALESCE(dw.amount, 0) AS amount,
    COALESCE(dw.paymentMethod, '0') AS paymentMethod,
    COALESCE(dw.dateUpdated, '1970-01-01 00:00:00') AS dateUpdated,
    COALESCE((SELECT SUM(amount) FROM driverWallet WHERE driverID = '$driverID'), 0) AS total_amount
FROM
    driverWallet dw
WHERE
    dw.driverID = '$driverID'
GROUP BY
    dw.id,
    dw.driverID,
    dw.paymentID,
    dw.dateCreated,
    dw.amount,
    dw.paymentMethod,
    dw.dateUpdated

     ";
$stmt = $con->prepare($sql);
$stmt->execute();

if ($stmt->rowCount() > 0) {
    // Fetch the record
    $row = $stmt->fetchAll(PDO::FETCH_ASSOC);

    jsonSuccess($row);
    
}
    else{
    // Print a failure message
    jsonError($message = "No wallet record found");
}
?>